Package com.arms.api.clientcase.controller

## Class ClientCaseController

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController<ClientCaseService,​ClientCaseDTO,​ClientCaseEntity>
  - - com.arms.api.clientcase.controller.ClientCaseController

-     @Controller
      @RestController
      @RequestMapping("/anonymous/cover/experience")
      public class ClientCaseController
      extends TreeAbstractController<ClientCaseService,​ClientCaseDTO,​ClientCaseEntity>

- - ### Field Summary

    - ### Fields inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `chat, modelMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientCaseController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<ClientCaseEntity>>` | `addClientCase​(ClientCaseDTO clientCaseDTO)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<ClientCaseEntity>>` | `getClientCase​(java.lang.Long clientCaseId)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.Map<java.lang.String,​java.lang.Object>>>` | `getClientCaseList​(ClientCaseDTO clientCaseDTO, int pageIndex, int pageUnit)` |
    `void` | `initialize()` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<ClientCaseEntity>>` | `removeClientCase​(java.lang.Long clientCaseId)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<ClientCaseEntity>>` | `updateClientCase​(ClientCaseDTO clientCaseDTO)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `addNode, alterNode, alterNodeType, analyzeNode, getChildNode, getMonitor, getNode, getNodesWithoutRoot, getPaginatedChildNode, moveNode, removeNode, searchNode, sendMessage, setJsonDefaultSetting, setTreeEntity, setTreeService, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientCaseController

          public ClientCaseController()

  - ### Method Detail

    - #### initialize

          @PostConstruct
          public void initialize()

    - #### addClientCase

          @PostMapping("/addExperience")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<ClientCaseEntity>> addClientCase​(@Validated(AddNode.class)
                                                                                                                   ClientCaseDTO clientCaseDTO)
                                                                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getClientCase

          @GetMapping("/getExperience/{clientCaseId}")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<ClientCaseEntity>> getClientCase​(@PathVariable("clientCaseId")
                                                                                                                   java.lang.Long clientCaseId)
                                                                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateClientCase

          @PutMapping("/updateExperience")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<ClientCaseEntity>> updateClientCase​(@Validated(UpdateNode.class)
                                                                                                                      ClientCaseDTO clientCaseDTO)
                                                                                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removeClientCase

          @DeleteMapping("/removeExperience/{clientCaseId}")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<ClientCaseEntity>> removeClientCase​(@PathVariable("clientCaseId")
                                                                                                                      java.lang.Long clientCaseId)
                                                                                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getClientCaseList

          @GetMapping("/getExperienceList")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.Map<java.lang.String,​java.lang.Object>>> getClientCaseList​(@ModelAttribute
                                                                                                                                                             ClientCaseDTO clientCaseDTO,
                                                                                                                                                             @RequestParam(defaultValue="1")
                                                                                                                                                             int pageIndex,
                                                                                                                                                             @RequestParam(defaultValue="12")
                                                                                                                                                             int pageUnit)
                                                                                                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`